<?

	$numeros_gerais = '';

	$numeros_parciais_1 = '';

	for ($i = 10 ; $i >= 0; $i--) {

		$numeros_gerais = $numeros_gerais . $parcial_4[$i];

	}

	for ($i = 10 ; $i >= 0; $i--) {

		$numeros_gerais = $numeros_gerais . $parcial_3[$i];

	}

	for ($i = 10 ; $i >= 0; $i--) {

		$numeros_gerais = $numeros_gerais . $parcial_2[$i];

	}

	for ($i = 10 ; $i >= 0; $i--) {

		if ($i != 3)

			$numeros_gerais = $numeros_gerais . $parcial_1[$i];

	}



	$total = 0;

	$mult = 2;

		$tamanho_geral = strlen($numeros_gerais);

		for ($i=0; $i<=$tamanho_geral; $i++) {

		$parcial = ($mult * $numeros_gerais[$i]);

		if ($mult == 2)

			$mult = 1;

		else

			$mult = 2;

		if ($parcial >= 10) {

			$parcial_1_a = 0;

			$total_numeros = strlen($parcial);

			

			$parcial_temp = $parcial;

			settype($parcial_temp,"string");

			for ($j = 0; $j < $total_numeros; $j++) {

				$parcial_1_a = $parcial_1_a + $parcial_temp[$j];

			}

			$total = $total + $parcial_1_a;

		}

		else {

			$total = $total + $parcial;

		}

	}

	$divisao = ($total % 10);

	if ($divisao == 0)

		$digito_verificador_1a = 0;

	else

		$digito_verificador_1a = 10 - $divisao;

?>

